package net.wanji.opt.entity.strategy;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/*
 * 参数配置推送神思最外层
 * */
@Data
@EqualsAndHashCode(callSuper = false)
public class StrategyParameterPush {
    //1-路口；2干线
    private int type;
    //干线编号
    private List<Integer> greenId;
    //路口编号
    private List<String> crossId;
    //策略唯一编号
    private String strategyNo;
    //策略名称
    private String strategyName;
    //场景 编号
    private Integer scene;
    //场景名称
    private String method;
    //参数配置
    private List<StrategyParamDetailsPush> paramDetails;
    //策略调度参数启停
    private SchedulingParamPush schedulingParam;
}
