package net.wanji.opt.servicev2.report;

import com.alibaba.fastjson.JSONObject;
import net.wanji.opt.controllerv2.report.vo.CrossOptimizeResultResponseVO;
import net.wanji.opt.controllerv2.report.vo.CrossRunStateAnalysisResultResponseDTO;
import net.wanji.opt.controllerv2.report.vo.CrossRunStatePeakResultResponseVO;
import net.wanji.opt.controllerv2.report.vo.ImportCrossAnalysisResponseVO;
import net.wanji.opt.vo2.report.CrossRidLaneResult;

import java.util.List;

public interface CrossRidLaneService {
    List<CrossRidLaneResult> getCrossInfoList(String crossIds);

    CrossRunStateAnalysisResultResponseDTO getTotalitySituation(String crossIds, Integer year, Integer week);

    List<CrossRunStatePeakResultResponseVO> getPeakData(String crossIds, Integer year, Integer week);

    CrossOptimizeResultResponseVO getTotalityData(Integer year, Integer week, String crossIds);

    List<ImportCrossAnalysisResponseVO> getProblemDetail(Integer year, Integer week, String crossIds);
}
